[dpdk-dev] [PATCH v2] devtools: warn about release notes updates

David Marchand david.marchand at redhat.com
Thu May 20 12:39:38 CEST 2021


Touching release notes should only be for the current version.

Signed-off-by: David Marchand <david.marchand at redhat.com>
---
Changes since v1:
- dropped unrelevant change,
- simplified VERSION extract and updated variable names,

---
 devtools/checkpatches.sh | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/devtools/checkpatches.sh b/devtools/checkpatches.sh
index db4c7d8301..aff7d2a161 100755
--- a/devtools/checkpatches.sh
+++ b/devtools/checkpatches.sh
@@ -198,6 +198,15 @@ check_internal_tags() { # <patch>
 	return $res
 }
 
+check_release_notes() { # <patch>
+	rel_notes_prefix=doc/guides/rel_notes/release_
+	IFS=. read year month release < VERSION
+	current_rel_notes=${rel_notes_prefix}${year}_${month}.rst
+
+	! grep -e '^--- a/'$rel_notes_prefix -e '^+++ b/'$rel_notes_prefix $1 |
+		grep -v $current_rel_notes
+}
+
 number=0
 range='origin/main..'
 quiet=false
@@ -289,6 +298,14 @@ check () { # <patch> <commit> <title>
 		ret=1
 	fi
 
+	! $verbose || printf '\nChecking release notes updates:\n'
+	report=$(check_release_notes "$tmpinput")
+	if [ $? -ne 0 ] ; then
+		$headline_printed || print_headline "$3"
+		printf '%s\n' "$report"
+		ret=1
+	fi
+
 	if [ "$tmpinput" != "$1" ]; then
 		rm -f "$tmpinput"
 		trap - INT
-- 
2.23.0



More information about the dev mailing list